Name:		fgfs-Atlas
Summary:	Flightgear map tools
Version:	0.3.1
Release:	9%{?dist}

License:	GPLv2+
Group:		Amusements/Games
Source:		http://downloads.sourceforge.net/sourceforge/atlas/Atlas-%{version}.tar.gz
Source1:	Atlas-default-maps.tar.gz
Patch0:		fgfs-Atlas-0.3.1-gcc43.patch
URL:		http://atlas.sourceforge.net
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	freeglut-devel, curl-devel, SimGear-devel, libpng-devel
Requires:	fgfs-base

%description
Atlas aims to produce and display high quality charts of the world for
users of FlightGear, an open source flight simulator. This is achieved
through two main parts: The map creator (simply called Map) and the
Atlas viewer

%prep
%setup -q -n Atlas-%{version}
%patch0 -p1 -b .gcc43
find -type f -name '*.[hc]xx' -exec chmod a-x {} \;

%build
%configure CXXFLAGS="%{optflags} -fPIC" --with-fgbase=%{_datadir}/FlightGear
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/FlightGear
tar zxf %{SOURCE1} -C $RPM_BUILD_ROOT%{_datadir}/FlightGear

# this script is buggy and duplicates a fonctionnality now included in
# the Atlas program
rm -f $RPM_BUILD_ROOT%{_bindir}/buildmaps.sh

# the palette file must be installed
install -m 0644 src/AtlasPalette $RPM_BUILD_ROOT%{_datadir}/FlightGear

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, 0755)
%doc AUTHORS COPYING NEWS README
%{_bindir}/*
%{_datadir}/FlightGear/*

%changelog
* Tue May 13 2008 Fabrice Bellet <fabrice@bellet.info> 0.3.1-9
- rebuild with newer plib

* Mon Feb  4 2008 Fabrice Bellet <fabrice@bellet.info> 0.3.1-8
- fix gcc43 build

* Mon Jan  7 2008 Fabrice Bellet <fabrice@bellet.info> 0.3.1-7
- rebuild with newer SimGear

* Sun Sep 23 2007 Fabrice Bellet <fabrice@bellet.info> 0.3.1-6
- update License tag

* Tue Aug 28 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.3.1-5
- Rebuild for selinux ppc32 issue.

* Wed Jun 27 2007 Fabrice Bellet <fabrice@bellet.info> 0.3.1-4
- Rebuild with newer version of SimGear
- Add the missing Palette file to the package
- Remove the buildmaps.sh script (the functionnality provided
  by this script is now part of the Atlas program)

* Mon Apr  2 2007 Fabrice Bellet <fabrice@bellet.info> 0.3.1-3
- Fixed duplicate BuildRequires

* Sun Apr  1 2007 Fabrice Bellet <fabrice@bellet.info> 0.3.1-2
- Rebuild with new SimGear

* Tue Mar 20 2007 Fabrice Bellet <fabrice@bellet.info> 0.3.1-1
- Initial packaging
